

{******************************************}
{                                          }
{             FastReport v3.0              }
{    EasyTable components RTTI             }
{                                          }

// Copyright (c) AidAim Software
// http://www.aidaim.com
// 22 December 2006

{                                          }
{******************************************}

unit frxTETRTTI;

interface

{$I frx.inc}

implementation

uses
  Windows, Classes, fs_iinterpreter, frxTETComponents
{$IFDEF Delphi6}
, Variants
{$ENDIF};


type
  TFunctions = class(TfsRTTIModule)
  private
    function CallMethod(Instance: TObject; ClassType: TClass;
      const MethodName: String; Caller: TfsMethodHelper): Variant;
  public
    constructor Create(AScript: TfsScript); override;
  end;


{ TFunctions }

constructor TFunctions.Create(AScript: TfsScript);
begin
  inherited Create(AScript);
  with AScript do
  begin
    AddClass(TfrxTETDatabase, 'TfrxCustomDatabase');
    AddClass(TfrxTETTable, 'TfrxCustomTable');
    with AddClass(TfrxTETQuery, 'TfrxCustomQuery') do
      AddMethod('procedure ExecSQL', CallMethod);
  end;
end;

function TFunctions.CallMethod(Instance: TObject; ClassType: TClass;
  const MethodName: String; Caller: TfsMethodHelper): Variant;
begin
  Result := 0;

  if ClassType = TfrxTETQuery then
  begin
    if MethodName = 'EXECSQL' then
      TfrxTETQuery(Instance).Query.ExecSQL
  end
end;


initialization
  fsRTTIModules.Add(TFunctions);

end.
